## fizmo 0.6.4

=== src/fizmo/Makefile ===

include ../../config.mk

ifneq ($(DISABLE_LIBXML2),)
CFLAGS_LIBXML2 = -DDISABLE_LIBXML2=
else
CFLAGS_LIBXML2 = -I$(LIBXML2_INC_DIR)
endif

ifneq ($(ENABLE_GDB_SYMBOLS),)
override CFLAGS += -g
endif

ifneq ($(ENABLE_OPTIMIZATION),)
override CFLAGS += -O2
endif

ifneq ($(ENABLE_TRACING),)
override CFLAGS += -DENABLE_TRACING=
endif

ifneq ($(THROW_SIGFAULT_ON_ERROR),)
override CFLAGS += -DTHROW_SIGFAULT_ON_ERROR=
endif

ifeq ($(DISABLE_BLOCKBUFFER),)
BLOCKBUF_DEP_H = blockbuf.h
BLOCKBUF_DEP_O = blockbuf.o
else
override CFLAGS += -DDISABLE_BLOCKBUFFER=
endif

ifeq ($(DISABLE_COMMAND_HISTORY),)
CMD_HST_DEP_H = cmd_hst.h
CMD_HST_DEP_O = cmd_hst.o
else
override CFLAGS += -DDISABLE_COMMAND_HISTORY
endif

ifeq ($(DISABLE_OUTPUT_HISTORY),)
OUTPUT_HST_DEP_H = history.h
OUTPUT_HST_DEP_O = history.o
else
override CFLAGS += -DDISABLE_OUTPUT_HISTORY
endif


.PHONY : clean

libfizmo.a: locales.o fizmo.o zpu.o stack.o streams.o i18n.o routine.o variable.o object.o property.o text.o savegame.o iff.o misc.o mt19937ar.o math.o output.o sound.o tracelog.o wordwrap.o table.o z_ucs.o config.o z_ucs_i.o undo.o filelist.o babel.o $(BLOCKBUF_DEP_O) $(CMD_HST_DEP_O) $(OUTPUT_HST_DEP_O)
	$(AR) rcs libfizmo.a locales.o fizmo.o zpu.o stack.o streams.o i18n.o routine.o variable.o object.o property.o text.o savegame.o iff.o misc.o mt19937ar.o math.o output.o sound.o tracelog.o wordwrap.o table.o z_ucs.o config.o z_ucs_i.o undo.o filelist.o babel.o $(BLOCKBUF_DEP_O) $(CMD_HST_DEP_O) $(OUTPUT_HST_DEP_O)

fizmo.o: tracelog.h fizmo.h zpu.h text.h math.h stack.h i18n.h misc.h streams.h config.h savegame.h output.h z_ucs.h splint.h fizmo.c $(BLOCKBUF_DEP_H) $(OUTPUT_HST_DEP_H)
	$(CC) $(CFLAGS) -c fizmo.c

fizmo.h: ../c/screen_interface.h
	touch fizmo.h

locales.o: i18n.h locales.c locales.h
	$(CC) $(CFLAGS) -c locales.c

locales.c: prepi18n
	./prepi18n

locales.h: prepi18n
	./prepi18n

prepi18n.o: i18n.h z_ucs.h prepi18n.c
	$(CC) $(CFLAGS) -c prepi18n.c

prepi18n: z_ucs.o prepi18n.o
	$(CC) $(CFLAGS) z_ucs.o prepi18n.o -o prepi18n

zpu.o: zpu.h tracelog.h fizmo.h savegame.h misc.h routine.h variable.h property.h object.h math.h text.h i18n.h streams.h output.h sound.h stack.h table.h undo.h splint.h zpu.c
	$(CC) $(CFLAGS) -c zpu.c

stack.o: stack.h tracelog.h config.h i18n.h routine.h splint.h stack.c
	$(CC) $(CFLAGS) -c stack.c

streams.o: streams.h tracelog.h fizmo.h ../c/screen_interface.h i18n.h wordwrap.h text.h zpu.h output.h z_ucs.h splint.h blockbuf.h history.h types.h streams.c $(BLOCKBUF_DEP_H) $(OUTPUT_HST_DEP_H)
	$(CC) $(CFLAGS) -c streams.c

i18n.o: i18n.h tracelog.h fizmo.h config.h locales.h streams.h misc.h types.h z_ucs.h zpu.h splint.h i18n.c
	$(CC) $(CFLAGS) -c i18n.c

routine.o: routine.h tracelog.h stack.h variable.h zpu.h i18n.h fizmo.h splint.h routine.c
	$(CC) $(CFLAGS) -c routine.c

variable.o: tracelog.h fizmo.h stack.h zpu.h i18n.h config.h splint.h variable.c
	$(CC) $(CFLAGS) -c variable.c

object.o: object.h tracelog.h fizmo.h variable.h zpu.h i18n.h splint.h object.c
	$(CC) $(CFLAGS) -c object.c

property.o: tracelog.h fizmo.h variable.h object.h zpu.h i18n.h splint.h property.c
	$(CC) $(CFLAGS) -c property.c

text.o: text.h tracelog.h fizmo.h routine.h object.h zpu.h i18n.h variable.h misc.h streams.h types.h history.h fizmo.h math.h stack.h config.h output.h undo.h splint.h $(CMD_HST_DEP_H) text.c
	$(CC) $(CFLAGS) -c text.c

savegame.o: savegame.h tracelog.h streams.h fizmo.h iff.h stack.h zpu.h i18n.h variable.h text.h z_ucs_i.h routine.h splint.h savegame.c
	$(CC) $(CFLAGS) -c savegame.c

iff.o: iff.h tracelog.h i18n.h splint.h types.h iff.c
	$(CC) $(CFLAGS) -c iff.c

misc.o: misc.h tracelog.h fizmo.h streams.h stack.h zpu.h i18n.h routine.h splint.h misc.c
	$(CC) $(CFLAGS) -c misc.c

mt19937ar.o: mt19937ar.h mt19937ar.c
	$(CC) $(CFLAGS) -c mt19937ar.c

math.o: math.h tracelog.h mt19937ar.h variable.h zpu.h i18n.h splint.h math.c
	$(CC) $(CFLAGS) -c math.c

streams.h: config.h
	touch streams.h

output.o: output.h tracelog.h types.h fizmo.h i18n.h zpu.h variable.h splint.h $(BLOCKBUF_DEP_H) $(OUTPUT_HST_DEP_H) output.c
	$(CC) $(CFLAGS) -c output.c

sound.o: fizmo.h i18n.h tracelog.h zpu.h splint.h sound.c
	$(CC) $(CFLAGS) -c sound.c

tracelog.o: tracelog.h config.h i18n.h types.h z_ucs.h splint.h tracelog.c
	$(CC) $(CFLAGS) -c tracelog.c

wordwrap.o: wordwrap.h tracelog.h types.h i18n.h z_ucs.h splint.h wordwrap.c
	$(CC) $(CFLAGS) -c wordwrap.c

history.o: history.h tracelog.h config.h i18n.h z_ucs.h types.h ../c/screen_interface.h fizmo.h splint.h history.c
	$(CC) $(CFLAGS) -c history.c

table.o: table.h tracelog.h zpu.h variable.h i18n.h splint.h table.c
	$(CC) $(CFLAGS) -c table.c

cmd_hst.o: cmd_hst.h tracelog.h types.h i18n.h splint.h cmd_hst.c
	$(CC) $(CFLAGS) -c cmd_hst.c

blockbuf.o: blockbuf.h types.h tracelog.h i18n.h z_ucs.h splint.h blockbuf.c
	$(CC) $(CFLAGS) -c blockbuf.c

z_ucs.o: z_ucs.h config.h splint.h z_ucs.c
	$(CC) $(CFLAGS) -c z_ucs.c

config.o: config.h types.h splint.h config.c
	$(CC) $(CFLAGS) -c config.c

z_ucs_i.o: z_ucs_i.h config.h z_ucs.h i18n.h splint.h z_ucs_i.c
	$(CC) $(CFLAGS) -c z_ucs_i.c

undo.o: undo.h tracelog.h types.h zpu.h variable.h fizmo.h stack.h splint.h undo.c
	$(CC) $(CFLAGS) -c undo.c

filelist.o: filelist.h fizmo.h tracelog.h babel.h iff.h types.h filelist.c
	$(CC) $(CFLAGS) $(CFLAGS_LIBXML2) -c filelist.c

babel.o: babel.h fizmo.h tracelog.h babel.c
	$(CC) $(CFLAGS) $(CFLAGS_LIBXML2) -c babel.c

clean:
	rm -f *.o libfizmo.a locales.h locales.c prepi18n

## fizmo 0.6.8

=== Makefile ===

CONFIG_EXISTS := $(wildcard config.mk)

all: ncursesw

clean: test_config
	cd src/ncursesw ; make clean

distclean: test_config clean
	rm fizmo

ifeq ($(strip $(CONFIG_EXISTS)),)

ifeq ($(strip $(CONFIG_FILE)),)

include config.default.mk

test_config:
	@echo
	@echo No file \"config.mk\" was found, using \"config.default.mk\".
	@echo
	cp config.default.mk config.mk

else

include $(CONFIG_FILE)

test_config:
	ln -s $(CONFIG_FILE) config.mk
	@true

endif

else

include config.mk

test_config:
	@true

endif

ifeq ($(FIZMO_BIN_DIR),)
FIZMO_BIN_DIR = games
endif

install: ncursesw
	mkdir -p $(INSTALL_PREFIX)/$(FIZMO_BIN_DIR) $(INSTALL_PREFIX)/share/man/man6
	install fizmo $(INSTALL_PREFIX)/$(FIZMO_BIN_DIR)
	install src/man/fizmo.6 $(INSTALL_PREFIX)/share/man/man6

ncursesw: test_config
	cd src/ncursesw ; make fizmo
	mv src/ncursesw/fizmo .

=== src/fizmo/Makefile ===
--- 
+++ 
@@ -56,16 +56,13 @@
 fizmo.h: ../c/screen_interface.h
 	touch fizmo.h
 
-locales.o: i18n.h locales.c locales.h
+locales.o: locales.c-or-h
 	$(CC) $(CFLAGS) -c locales.c
 
-locales.c: prepi18n
+locales.c-or-h: prepi18n
 	./prepi18n
 
-locales.h: prepi18n
-	./prepi18n
-
-prepi18n.o: i18n.h z_ucs.h prepi18n.c
+prepi18n.o: z_ucs.h prepi18n.c
 	$(CC) $(CFLAGS) -c prepi18n.c
 
 prepi18n: z_ucs.o prepi18n.o
@@ -80,7 +77,9 @@
 streams.o: streams.h tracelog.h fizmo.h ../c/screen_interface.h i18n.h wordwrap.h text.h zpu.h output.h z_ucs.h splint.h blockbuf.h history.h types.h streams.c $(BLOCKBUF_DEP_H) $(OUTPUT_HST_DEP_H)
 	$(CC) $(CFLAGS) -c streams.c
 
-i18n.o: i18n.h tracelog.h fizmo.h config.h locales.h streams.h misc.h types.h z_ucs.h zpu.h splint.h i18n.c
+i18n.h: locales.c-or-h
+
+i18n.o: i18n.h tracelog.h fizmo.h config.h locales.c-or-h streams.h misc.h types.h z_ucs.h zpu.h splint.h i18n.c
 	$(CC) $(CFLAGS) -c i18n.c
 
 routine.o: routine.h tracelog.h stack.h variable.h zpu.h i18n.h fizmo.h splint.h routine.c
@@ -143,7 +142,7 @@
 z_ucs.o: z_ucs.h config.h splint.h z_ucs.c
 	$(CC) $(CFLAGS) -c z_ucs.c
 
-config.o: config.h types.h splint.h config.c
+config.o: config.h types.h splint.h i18n.h config.c
 	$(CC) $(CFLAGS) -c config.c
 
 z_ucs_i.o: z_ucs_i.h config.h z_ucs.h i18n.h splint.h z_ucs_i.c

=== src/ncursesw/Makefile ===

.PHONY : clean

include ../../config.mk

# Define FIZMO_LIBS
include ../fizmo/fizmo.mk

ifneq ($(ENABLE_TRACING),)
CFLAGS += -DENABLE_TRACING=
endif

ifneq ($(FIZMO_SOUND_INTERFACE),)
 # Define SOUND_INTERFACE_[CFLAGS|LIBS|LIB_DIRS|STRUCT_NAME|INCLUDE_FILE]
 include ../$(FIZMO_SOUND_INTERFACE)/$(FIZMO_SOUND_INTERFACE).mk
 NCURSESW_SOUND_OBJECT = ../$(FIZMO_SOUND_INTERFACE)/$(FIZMO_SOUND_INTERFACE).o
 NCURSESW_SOUND_FLAGS =\
  -DFIZMO_SOUND_INTERFACE=$(SOUND_INTERFACE_STRUCT_NAME) \
  -DFIZMO_SOUND_INCLUDE_FILE=\"$(SOUND_INTERFACE_INCLUDE_FILE)\"
endif

NCURSESW_INC_DIRS = -I$(NCURSESW_INC_DIR)

ifneq ($(NCURSESW_LIB_DIR),)
NCURSESW_LIB_DIRS += -L$(NCURSESW_LIB_DIR)
endif

NCURSESW_LIBS = $(FIZMO_LIBS) -lncursesw
NCURSEWS_FLAGS =

ifneq ($(ENABLE_X11_IMAGES),)
 NCURSESW_INC_DIRS +=\
  -I$(GLIB_CONFIG_INC_DIR)\
  -I$(GLIB_INC_DIR)\
  -I$(GDK_CONFIG_INC_DIR)\
  -I$(GTK_INC_DIR)\
  -I$(GTK_INC_DIR)/gtk2\
  -I$(CAIRO_INC_DIR)\
  -I$(PANGO_INC_DIR)\
  -I$(ATK_INC_DIR)

 NCURSEWS_FLAGS += -DENABLE_X11_IMAGES=1

 NCURSESW_LIB_DIRS += -L$(X11_LIB_DIR) -L$(GDK_PIXBUF_LIB_DIR)

 NCURSESW_LIBS += \
  -lgobject-2.0 -lgmodule-2.0 -lglib-2.0 -lgdk_pixbuf_xlib-2.0 \
  -lgdk_pixbuf-2.0 -lX11 -lgtk-x11-2.0

#  If these above won't work, try the "official" full set:
#  -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lgdk_pixbuf-2.0 \
#  -lpangocairo-1.0 -lcairo -lpangoft2-1.0 -lpixman-1 -lpng12 -lXrender \
#  -lX11 -lXau -lXdmcp -lpango-1.0 -lm -lfontconfig -lexpat -lfreetype \
#  -lz -lgobject-2.0 -lgmodule-2.0 -lglib-2.0 -lintl -liconv \
#  -lgdk_pixbuf_xlib-2.0
endif


all: fizmo

fizmo: ../fizmo/libfizmo.a ncrsw_if.o $(NCURSESW_SOUND_OBJECT)
	$(CC) $(CFLAGS) ncrsw_if.o $(NCURSESW_SOUND_OBJECT) -L../fizmo $(NCURSESW_LIB_DIRS) $(SOUND_INTERFACE_LIB_DIRS) -lfizmo $(FIZMO_LIBS) $(NCURSESW_LIBS) $(SOUND_INTERFACE_LIBS) -o fizmo

../fizmo/libfizmo.a::
	cd ../fizmo ; make libfizmo.a 

ifneq ($(FIZMO_SOUND_INTERFACE),)
../$(FIZMO_SOUND_INTERFACE)/$(FIZMO_SOUND_INTERFACE).o:: ../fizmo/libfizmo.a
	cd ../$(FIZMO_SOUND_INTERFACE); make $(FIZMO_SOUND_INTERFACE).o
endif

ncrsw_if.o: ncrsw_if.c ../fizmo/libfizmo.a
	$(CC) $(CFLAGS) $(NCURSESW_INC_DIRS) $(NCURSEWS_FLAGS) $(NCURSESW_SOUND_FLAGS) -c ncrsw_if.c

clean:
	rm -f *.o fizmo
ifneq ($(FIZMO_SOUND_INTERFACE),)
	cd ../$(FIZMO_SOUND_INTERFACE) ; make clean
endif
	cd ../fizmo ; make clean

## fizmo 0.6.10

=== src/ncursesw/Makefile ===
--- 
+++ 
@@ -25,8 +25,15 @@
 NCURSESW_LIB_DIRS += -L$(NCURSESW_LIB_DIR)
 endif
 
-NCURSESW_LIBS = $(FIZMO_LIBS) -lncursesw
+NCURSESW_LIBS = $(FIZMO_LIBS)
 NCURSEWS_FLAGS =
+
+ifneq ($(NCURSESW_INCLUDE_FROM_W_DIRNAME),)
+NCURSESW_LIBS += -lncursesw
+NCURSEWS_FLAGS += -DNCURSESW_INCLUDE_FROM_W_DIRNAME=1
+else
+NCURSESW_LIBS += -lncurses
+endif
 
 ifneq ($(ENABLE_X11_IMAGES),)
  NCURSESW_INC_DIRS +=\
@@ -37,7 +44,8 @@
   -I$(GTK_INC_DIR)/gtk2\
   -I$(CAIRO_INC_DIR)\
   -I$(PANGO_INC_DIR)\
-  -I$(ATK_INC_DIR)
+  -I$(ATK_INC_DIR)\
+  -I$(GDKPIXBUF_INC_DIR)
 
  NCURSEWS_FLAGS += -DENABLE_X11_IMAGES=1

=== debian/changelog ===
fizmo (0.6.10-1) unstable; urgency=low

  * Bugfix release: Fizmo did not stop tokenzing after the maximum number
    of allowed words, which would result in a parse buffer overflow. Thanks
    to Samuel Verschelde for discovering this problem.
  * Build-Depends now require minimum version 8 for debhelper.

 -- Christoph Ender <Christoph.Ender@spellbreaker.org>  Sun, 03 Jul 2011 14:31:29 +0200

fizmo (0.6.9-1) unstable; urgency=low

  * Bugfix release. Fixed negative count for unsorted dictionaries in the
    tokenise opcode. This fixed the crash in "Beyond Zork" which occurred
    while executing "i" after an item was name, thanks to irb.
  * Fixed "get_utf8_code_length" (Closes: #617714). This fixes output of
    non-latin1 output codes in the transcript file, thanks to Lewis Gentry.
  * Increased maximum allowed option size to 512 to allow for longer
    filenames.

 -- Christoph Ender <Christoph.Ender@spellbreaker.org>  Sun, 1 May 2011 14:52:36 +0200

fizmo (0.6.8-1) unstable; urgency=low

  * Bugfix release: Interpreter and interface information is now correctly
    written into the header after restarting, additionally the input length
    for transscript and command input/output-stream filenames has been 
    fixed. Thanks to Samuel Verschelde.
  * Added "sync-transcript" option: When enabled, it'll flush the wordwrapper
    and file output buffer as soon as possible.

 -- Christoph Ender <Christoph.Ender@spellbreaker.org>  Tue, 12 Jan 2010 10:26:48 +0100

fizmo (0.6.7-1) unstable; urgency=low

  * Bugfix release. Fixed trunction of babel data input. So far, the last
    byte was cut off from the input, resulting in an error if the file was
    encoded using unix newlines, but no errors as long as DOS newlines were
    used. This fixes missing metadata issues in the story browser.
  * This release includes the changes from version 0.6.6: Files which have a
    ".zblorb" suffix now have this removed when displayed in the story browser.
    Minimal changes to seeding of random generators to increase input entropy.

 -- Christoph Ender <Christoph.Ender@spellbreaker.org>  Tue, 15 Dec 2009 08:52:59 +0100

fizmo (0.6.5-1) unstable; urgency=low

  * Bugfix release. Fizmo will now keep transcribing after restarts (which
    is the behaviour required by the Z-Machine specification) and the
    Makefiles have been adapted to allow parallel builds (make -j 2 etc).

 -- Christoph Ender <Christoph.Ender@spellbreaker.org>  Wed, 14 Oct 2009 09:15:12 +0200

fizmo (0.6.4-1) unstable; urgency=low

  * Bugfix release. This fixes crahes on startup when screen uses
    non-standard ncurses colors and removes garbage output from
    the "read_char" opcode implementation.

 -- Christoph Ender <Christoph.Ender@spellbreaker.org>  Thu, 28 May 2009 06:55:00 +0200

fizmo (0.6.3-1) unstable; urgency=low

  * Initial release (Closes: #525490)

 -- Christoph Ender <Christoph.Ender@spellbreaker.org>  Sun, 26 Apr 2009 07:37:58 +0200

=== debian/control ===
Source: fizmo
Section: games
Priority: extra
Maintainer: Christoph Ender <Christoph.Ender@spellbreaker.org>
Build-Depends: debhelper (>= 8.0.0), libncursesw5-dev, libsndfile1-dev, libsdl-sound1.2-dev, libxml2-dev
Standards-Version: 3.9.2
Homepage: http://spellbreaker.org/~chrender/fizmo

Package: fizmo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: zcode-interpreter
Description: Console-based Z-machine interpreter for Infocom/Inform games
 This is a ncurses-(text-)based Z-Machine interpreter. It can be used to play
 old Infocom text adventures (except version 6) and modern interactive fiction
 as created by the Inform compiler. For more information about interactive
 fiction -- and to download many storyfiles -- see http://www.ifarchive.org.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

configure-stamp:
	dh_testdir
	touch configure-stamp

configure: configure-stamp
	dh_testdir
	cp config.default.mk config.mk

build-stamp: configure
	dh_testdir
	touch $@

build-indep:

build-arch: build-stamp
	dh_testdir
	$(MAKE)

build: build-arch

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	cp config.default.mk config.mk
	$(MAKE) clean
	rm config.mk
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep  
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/fizmo install

# Build architecture-independent files here.
binary-indep: install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs CHANGELOG.txt
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## fizmo 0.7.2

=== Makefile ===

CONFIG_EXISTS := $(wildcard config.mk)

default:
	@echo
	@echo
	@echo '  How to build:'
	@echo
	@echo '  First, create a "config.mk" from "config.default.mk" or "config.macports.mk"'
	@echo '  and adjust variables as requried.'
	@echo
	@echo '  Second, install the locale files:'
	@echo '  "make install-locales"'
	@echo
	@echo '  Third, choose one or more of the following:'
	@echo '  "make install-fizmo-ncursesw" will build and install ncursesw-based fizmo.'
	@echo '  "make install-fizmo-console" will create a plain, console-based fizmo.'
	@echo '  "make install-fizmo-glktermw" will build an GLK-based, experimental fizmo.'
	@echo
	@echo '  Optionally, libraries and development files may be installed using:'
	@echo '  "cd <library-name> ; make install-dev"'
	@echo '  where "library-name" is one out of:'
	@echo '  "libfizmo", "libcellif", "libdrilbo", "libsndifsdl" or "libglkif".'
	@echo
	@echo

all: fizmo-console fizmo-ncursesw fizmo-glktermw

ifeq ($(strip $(CONFIG_EXISTS)),)

include config.default.mk

test_config:
	@echo
	@echo No file \"config.mk\" was found, using \"config.default.mk\".
	@echo
	cp config.default.mk config.mk
else

include config.mk

test_config:
	@true

endif


.PHONY : \
 all install install-locales clean distclean \
 libfizmo libcellif libsndifsdl libdrilbo libglkif \
 fizmo-console fizmo-ncursesw fizmo-glktermw \
 subdir-configs \
 libfizmo-config libcellif-config libsndifsdl-config \
 libdrilbo-config libglkif-config \
 fizmo-ncursesw-config fizmo-console-config fizmo-glktermw-config \
 build-dir

export DEV_INSTALL_PATH = build
#export DEV_INSTALL_PREFIX = $(CURDIR)/$(DEV_INSTALL_PATH)
export fizmo_build_prefix=$(CURDIR)/$(DEV_INSTALL_PATH)
export PKG_CONFIG_PATH:=$(PKG_CONFIG_PATH):$(fizmo_build_prefix)/lib/pkgconfig

install: install-locales install-fizmo-console install-fizmo-ncursesw \
 install-fizmo-glktermw

fizmo-console:: fizmo-console-config libfizmo
	cd fizmo-console ; make

install-fizmo-console:: fizmo-console
	cd fizmo-console ; make install

fizmo-ncursesw:: fizmo-ncursesw-config libfizmo libcellif libsndifsdl libdrilbo
	cd fizmo-ncursesw; make

fizmo-glktermw:: fizmo-glktermw-config libfizmo libglkif
	cd fizmo-glktermw; make

install-fizmo-ncursesw:: fizmo-ncursesw
	cd fizmo-ncursesw; make install

install-fizmo-glktermw:: fizmo-glktermw
	cd fizmo-glktermw; make install

libfizmo:: build-dir libfizmo-config
	cd libfizmo ; make install-dev

libcellif: libcellif-config build-dir libfizmo
	cd libcellif; make install-dev

libsndifsdl: libsndifsdl-config build-dir libfizmo
ifdef SOUND_INTERFACE_NAME
ifdef SOUND_INTERFACE_STRUCT_NAME
ifdef SOUND_INTERFACE_STRUCT_NAME
	cd libsndifsdl; make install-dev
endif
endif
endif

libdrilbo: libdrilbo-config build-dir libfizmo
ifdef ENABLE_X11_IMAGES
	cd libdrilbo; make install-dev
endif

drilbo-test: libdrilbo-config build-dir libfizmo
ifdef ENABLE_X11_IMAGES
	cd libdrilbo; make test
endif

libglkif: libglkif-config build-dir libfizmo
	cd libglkif; make install-dev

clean: subdir-configs
	cd fizmo-glktermw ; make clean
	cd fizmo-ncursesw ; make clean
	cd fizmo-console ; make clean
	cd libglkif ; make clean
	cd libdrilbo ; make clean
	cd libsndifsdl ; make clean
	cd libcellif ; make clean
	cd libfizmo ; make clean

distclean: subdir-configs
	cd fizmo-glktermw ; make distclean
	cd fizmo-ncursesw ; make distclean
	cd fizmo-console ; make distclean
	cd libglkif ; make distclean
	cd libdrilbo ; make distclean
	cd libsndifsdl ; make distclean
	cd libcellif ; make distclean
	cd libfizmo ; make distclean
	rm -rf $(DEV_INSTALL_PATH)

install-locales: subdir-configs
	cd libdrilbo ; make install-locales
	cd libsndifsdl ; make install-locales
	cd libcellif ; make install-locales
	cd libfizmo ; make install-locales
	cd libglkif ; make install-locales

subdir-libs-configs: libfizmo-config libcellif-config libsndifsdl-config \
 libdrilbo-config libglkif-config

subdir-configs: libfizmo-config libcellif-config libsndifsdl-config \
 libdrilbo-config libglkif-config fizmo-ncursesw-config fizmo-console-config \
 fizmo-glktermw-config

libfizmo-config:: test_config
	cp config.mk libfizmo/config.mk

libcellif-config:: test_config
	cp config.mk libcellif/config.mk

libsndifsdl-config:: test_config
	cp config.mk libsndifsdl/config.mk

libdrilbo-config:: test_config
	cp config.mk libdrilbo/config.mk

libglkif-config:: test_config
	cp config.mk libglkif/config.mk

fizmo-glktermw-config:: test_config
	cp config.mk fizmo-glktermw/config.mk

fizmo-ncursesw-config:: test_config
	cp config.mk fizmo-ncursesw/config.mk

fizmo-console-config:: test_config
	cp config.mk fizmo-console/config.mk

build-dir::
	mkdir -p $(DEV_INSTALL_PATH)

=== fizmo-console/Makefile ===

.PHONY : all install clean distclean

include config.mk


all: src/fizmo-console/fizmo-console

src/fizmo-console/fizmo-console::
	cd src/fizmo-console ; make
	cp src/fizmo-console/fizmo-console .

install: src/fizmo-console/fizmo-console
	mkdir -p "$(DESTDIR)$(bindir)"
	cp src/fizmo-console/fizmo-console "$(DESTDIR)$(bindir)"
	mkdir -p "$(DESTDIR)$(mandir)/man6"
	cp src/man/fizmo-console.6 "$(DESTDIR)$(mandir)/man6"

clean:
	cd src/fizmo-console ; make clean

distclean: clean
	rm -f fizmo-console
	cd src/fizmo-console ; make distclean

=== fizmo-glktermw/Makefile ===

.PHONY : all install clean distclean

include config.mk


all: src/fizmo-glktermw/fizmo-glktermw

src/fizmo-glktermw/fizmo-glktermw::
	cd src/fizmo-glktermw ; make
	cp src/fizmo-glktermw/fizmo-glktermw .

install: src/fizmo-glktermw/fizmo-glktermw
	mkdir -p $(DESTDIR)$(bindir)
	cp src/fizmo-glktermw/fizmo-glktermw $(DESTDIR)$(bindir)

clean:
	cd src/fizmo-glktermw ; make clean

distclean: clean
	rm -f fizmo-glktermw
	cd src/fizmo-glktermw ; make distclean

=== fizmo-ncursesw/Makefile ===

.PHONY : all install clean distclean

include config.mk


all: src/fizmo-ncursesw/fizmo-ncursesw

src/fizmo-ncursesw/fizmo-ncursesw::
	cd src/fizmo-ncursesw ; make

install: src/fizmo-ncursesw/fizmo-ncursesw
	mkdir -p $(DESTDIR)$(bindir)
	cp src/fizmo-ncursesw/fizmo-ncursesw $(DESTDIR)$(bindir)
	mkdir -p $(DESTDIR)$(mandir)/man6
	cp src/man/fizmo-ncursesw.6 $(DESTDIR)$(mandir)/man6
	mkdir -p $(DESTDIR)$(localedir)
	for l in `cd src/locales ; ls -d ??_??`; \
	  do \
	  mkdir -p $(DESTDIR)$(localedir)/$$l; \
	  cp src/locales/$$l/*.txt $(DESTDIR)$(localedir)/$$l; \
	done

clean:
	cd src/fizmo-ncursesw ; make clean

distclean: clean
	cd src/fizmo-ncursesw ; make distclean

=== libcellif/Makefile ===

.PHONY : all install install-dev install-locales clean distclean

include config.mk

ifeq ($(fizmo_build_prefix),)
  fizmo_build_prefix="$(DESTDIR)$(prefix)"
endif
PKG_DIR = $(fizmo_build_prefix)/lib/pkgconfig
PKGFILE = $(PKG_DIR)/libcellif.pc


all: libcellif.a

libcellif.a: src/cell_interface/libcellif.a
	mv src/cell_interface/libcellif.a .

src/cell_interface/libcellif.a::
	cd src/cell_interface ; make

install:: install-locales

install-dev:: libcellif.a
	mkdir -p "$(fizmo_build_prefix)"/lib/fizmo
	mkdir -p "$(fizmo_build_prefix)"/include/fizmo/cell_interface
	cp src/cell_interface/*.h \
	  "$(fizmo_build_prefix)"/include/fizmo/cell_interface
	cp libcellif.a "$(fizmo_build_prefix)"/lib/fizmo
	cp src/screen_interface/screen_cell_interface.h \
	  "$(fizmo_build_prefix)"/include/fizmo/screen_interface
	mkdir -p "$(PKG_DIR)"
	echo 'prefix=$(fizmo_build_prefix)' >"$(PKGFILE)"
	echo 'exec_prefix=$${prefix}' >>"$(PKGFILE)"
	echo 'libdir=$${exec_prefix}/lib/fizmo' >>"$(PKGFILE)"
	echo 'includedir=$${prefix}/include/fizmo' >>"$(PKGFILE)"
	echo >>"$(PKGFILE)"
	echo 'Name: libcellif' >>"$(PKGFILE)"
	echo 'Description: libcellif' >>"$(PKGFILE)"
	echo 'Version: 0.7.2' >>"$(PKGFILE)"
	echo 'Requires: libfizmo >= 0.7 ' >>"$(PKGFILE)"
	echo 'Requires.private:' >>"$(PKGFILE)"
	echo 'Cflags: -I$(fizmo_build_prefix)/include/fizmo ' >>"$(PKGFILE)"
	echo 'Libs: -L$(fizmo_build_prefix)/lib/fizmo -lcellif'  >>"$(PKGFILE)"
	echo >>"$(PKGFILE)"

install-locales::
	mkdir -p "$(DESTDIR)$(localedir)"
	for l in `cd src/locales ; ls -d ??_??`; \
	do \
	  mkdir -p "$(DESTDIR)$(localedir)/$$l" ; \
	  cp src/locales/$$l/*.txt "$(DESTDIR)$(localedir)/$$l" ; \
	done

clean::
	cd src/cell_interface ; make clean
	cd src/locales ; make clean

distclean:: clean
	rm -f libcellif.a
	cd src/cell_interface ; make distclean

=== libdrilbo/Makefile ===

.PHONY : all install install-dev install-locales clean distclean

include config.mk

ifeq ($(fizmo_build_prefix),)
  fizmo_build_prefix="$(DESTDIR)$(prefix)"
endif
PKG_DIR = $(fizmo_build_prefix)/lib/pkgconfig
PKGFILE = $(PKG_DIR)/libdrilbo.pc


all: libdrilbo.a

libdrilbo.a: src/drilbo/libdrilbo.a
	mv src/drilbo/libdrilbo.a .

test:
	cd src/drilbo ; make test

install:: install-locales

install-dev:: libdrilbo.a
	mkdir -p "$(fizmo_build_prefix)"/lib/fizmo
	cp libdrilbo.a "$(fizmo_build_prefix)"/lib/fizmo
	mkdir -p "$(fizmo_build_prefix)"/include/fizmo/drilbo
	cp src/drilbo/*.h "$(fizmo_build_prefix)"/include/fizmo/drilbo
	mkdir -p "$(PKG_DIR)"
	echo 'prefix=$(fizmo_build_prefix)' >"$(PKGFILE)"
	echo 'exec_prefix=$${prefix}' >>"$(PKGFILE)"
	echo 'libdir=$${exec_prefix}/lib/fizmo' >>"$(PKGFILE)"
	echo 'includedir=$${prefix}/include/fizmo' >>"$(PKGFILE)"
	echo >>"$(PKGFILE)"
	echo 'Name: libdrilbo' >>"$(PKGFILE)"
	echo 'Description: libdrilbo' >>"$(PKGFILE)"
	echo 'Version: 0.2.2' >>"$(PKGFILE)"
ifeq ($(DRILBO_PKG_REQS),)
	echo 'Requires: libfizmo >= 0.7 ' >>"$(PKGFILE)"
else
	echo 'Requires: libfizmo >= 0.7, $(DRILBO_PKG_REQS) ' >>"$(PKGFILE)"
endif
	echo 'Requires.private:' >>"$(PKGFILE)"
	echo 'Cflags: -I$(fizmo_build_prefix)/include/fizmo $(DRILBO_NONPKG_X11_CFLAGS) $(DRILBO_NONPKG_LIBJPEG_CFLAGS) $(DRILBO_NONPKG_LIBPNG_CFLAGS) ' >>"$(PKGFILE)"
	echo 'Libs: -L$(fizmo_build_prefix)/lib/fizmo -ldrilbo -lpthread $(DRILBO_NONPKG_X11_LIBS) $(DRILBO_NONPKG_LIBJPEG_LIBS) $(DRILBO_NONPKG_LIBPNG_LIBS)'  >>"$(PKGFILE)"
	echo >>"$(PKGFILE)"

install-locales::
	mkdir -p "$(DESTDIR)$(localedir)"
	for l in `cd src/locales ; ls -d ??_??`; \
	do \
	  mkdir -p "$(DESTDIR)$(localedir)/$$l" ; \
	  cp src/locales/$$l/*.txt "$(DESTDIR)$(localedir)/$$l" ; \
	done

clean::
	cd src/drilbo ; make clean

distclean:: clean
	rm -f libdrilbo.a
	cd src/drilbo ; make distclean

src/drilbo/libdrilbo.a::
	cd src/drilbo ; make

=== libfizmo/Makefile ===

.PHONY : all install install-dev install-locales clean distclean

include config.mk

TMPLIBDIR = libfizmotmp
ifeq ($(fizmo_build_prefix),)
  fizmo_build_prefix="$(DESTDIR)$(prefix)"
endif
PKG_DIR = $(fizmo_build_prefix)/lib/pkgconfig
PKGFILE = $(PKG_DIR)/libfizmo.pc


all: libfizmo.a

libfizmo.a: src/tools/libtools.a src/interpreter/libinterpreter.a
	mkdir -p "$(TMPLIBDIR)" ; \
	cd "$(TMPLIBDIR)" ; \
	"$(AR)" x ../src/tools/libtools.a ; \
	"$(AR)" x ../src/interpreter/libinterpreter.a ; \
	"$(AR)" rcs ../libfizmo.a *.o ; \
	cd .. ; \
	rm -r "$(TMPLIBDIR)"

install:: install-locales

install-dev:: libfizmo.a
	mkdir -p "$(fizmo_build_prefix)"/lib/fizmo
	cp libfizmo.a "$(fizmo_build_prefix)"/lib/fizmo
	mkdir -p "$(fizmo_build_prefix)"/include/fizmo/interpreter
	cp src/interpreter/*.h "$(fizmo_build_prefix)"/include/fizmo/interpreter
	mkdir -p "$(fizmo_build_prefix)"/include/fizmo/tools
	cp src/tools/*.h "$(fizmo_build_prefix)"/include/fizmo/tools
	mkdir -p "$(fizmo_build_prefix)"/include/fizmo/screen_interface
	cp src/screen_interface/*.h \
	  "$(fizmo_build_prefix)"/include/fizmo/screen_interface
	cp src/screen_interface/*.cpp \
	  "$(fizmo_build_prefix)"/include/fizmo/screen_interface
	cp -r src/sound_interface "$(fizmo_build_prefix)"/include/fizmo/
	cp -r src/filesys_interface "$(fizmo_build_prefix)"/include/fizmo/
	cp -r src/blorb_interface "$(fizmo_build_prefix)"/include/fizmo/
	mkdir -p "$(PKG_DIR)"
	echo 'prefix=$(fizmo_build_prefix)' >"$(PKGFILE)"
	echo 'exec_prefix=$${prefix}' >>"$(PKGFILE)"
	echo 'libdir=$${exec_prefix}/lib/fizmo' >>"$(PKGFILE)"
	echo 'includedir=$${prefix}/include/fizmo' >>"$(PKGFILE)"
	echo >>"$(PKGFILE)"
	echo 'Name: libfizmo' >>"$(PKGFILE)"
	echo 'Description: libfizmo' >>"$(PKGFILE)"
	echo 'Version: 0.7.2' >>"$(PKGFILE)"
ifeq ($(LIBFIZMO_REQS),)
	echo 'Requires:' >>"$(PKGFILE)"
else
	echo 'Requires: $(LIBFIZMO_REQS)' >>"$(PKGFILE)"
endif
	echo 'Requires.private:' >>"$(PKGFILE)"
	echo 'Cflags: -I$(fizmo_build_prefix)/include/fizmo $(LIBXML2_NONPKG_CFLAGS)' >>"$(PKGFILE)"
	echo 'Libs: -L$(fizmo_build_prefix)/lib/fizmo -lfizmo $(LIBXML2_NONPKG_LIBS)'  >>"$(PKGFILE)"
	echo >>"$(PKGFILE)"

install-locales::
	mkdir -p "$(DESTDIR)$(localedir)"
	for l in `cd src/locales ; ls -d ??_??`; \
	do \
	  mkdir -p "$(DESTDIR)$(localedir)/$$l" ; \
	  cp src/locales/$$l/*.txt "$(DESTDIR)$(localedir)/$$l" ; \
	done

clean::
	cd src/interpreter ; make clean
	cd src/tools ; make clean
	cd src/locales ; make clean

distclean:: clean
	rm -f libfizmo.a
	cd src/interpreter ; make distclean
	cd src/tools ; make distclean

src/tools/libtools.a::
	cd src/tools ; make

src/interpreter/libinterpreter.a::
	cd src/interpreter ; make

=== libglkif/Makefile ===

.PHONY : all install install-dev install-locales clean distclean

include config.mk

ifeq ($(fizmo_build_prefix),)
  fizmo_build_prefix="$(DESTDIR)$(prefix)"
endif
PKG_DIR = $(fizmo_build_prefix)/lib/pkgconfig
PKGFILE = $(PKG_DIR)/libglkif.pc


all: libglkif.a

libglkif.a: src/glk_interface/libglkif.a
	mv src/glk_interface/libglkif.a .

src/glk_interface/libglkif.a::
	cd src/glk_interface ; make

install:: install-locales

install-dev:: libglkif.a
	mkdir -p $(fizmo_build_prefix)/lib/fizmo
	mkdir -p $(fizmo_build_prefix)/include/fizmo/glk_interface
	cp src/glk_interface/*.h \
	  $(fizmo_build_prefix)/include/fizmo/glk_interface
	cp libglkif.a $(fizmo_build_prefix)/lib/fizmo
	mkdir -p $(PKG_DIR)
	echo 'prefix=$(fizmo_build_prefix)' >$(PKGFILE)
	echo 'exec_prefix=$${prefix}' >>$(PKGFILE)
	echo 'libdir=$${exec_prefix}/lib/fizmo' >>$(PKGFILE)
	echo 'includedir=$${prefix}/include/fizmo' >>$(PKGFILE)
	echo >>$(PKGFILE)
	echo 'Name: libglkif' >>$(PKGFILE)
	echo 'Description: libglkif' >>$(PKGFILE)
	echo 'Version: 0.1.2' >>$(PKGFILE)
	echo 'Requires: libfizmo >= 0.7 ' >>$(PKGFILE)
	echo 'Requires.private:' >>$(PKGFILE)
	echo 'Cflags: -I$(fizmo_build_prefix)/include/fizmo ' >>$(PKGFILE)
	echo 'Libs: -L$(fizmo_build_prefix)/lib/fizmo -lfizmo'  >>$(PKGFILE)
	echo >>$(PKGFILE)

install-locales::
	mkdir -p $(DESTDIR)$(localedir)
	for l in `cd src/locales ; ls -d ??_??`; \
	do \
	  mkdir -p $(DESTDIR)$(localedir)/$$l; \
	  cp src/locales/$$l/*.txt $(DESTDIR)$(localedir)/$$l; \
	done

clean::
	cd src/glk_interface ; make clean
	cd src/locales ; make clean

distclean:: clean
	rm -f libglkif.a
	cd src/glk_interface ; make distclean

=== libsndifsdl/Makefile ===

.PHONY : all install install-dev install-locales clean distclean

include config.mk

ifeq ($(fizmo_build_prefix),)
  fizmo_build_prefix="$(DESTDIR)$(prefix)"
endif
PKG_DIR = $(fizmo_build_prefix)/lib/pkgconfig
PKGFILE = $(PKG_DIR)/libsndifsdl.pc


all: libsndifsdl.a

libsndifsdl.a: src/sound_sdl/libsndifsdl.a
	mv src/sound_sdl/libsndifsdl.a .

src/sound_sdl/libsndifsdl.a::
	cd src/sound_sdl; make

install:: install-locales

install-dev:: libsndifsdl.a
	mkdir -p $(fizmo_build_prefix)/lib/fizmo
	cp libsndifsdl.a $(fizmo_build_prefix)/lib/fizmo
	mkdir -p $(fizmo_build_prefix)/include/fizmo/sound_sdl
	cp src/sound_sdl/sound_sdl.h \
	  $(fizmo_build_prefix)/include/fizmo/sound_sdl
	mkdir -p $(PKG_DIR)
	echo 'prefix=$(fizmo_build_prefix)' >$(PKGFILE)
	echo 'exec_prefix=$${prefix}' >>$(PKGFILE)
	echo 'libdir=$${exec_prefix}/lib/fizmo' >>$(PKGFILE)
	echo 'includedir=$${prefix}/include/fizmo' >>$(PKGFILE)
	echo >>$(PKGFILE)
	echo 'Name: libsndifsdl' >>$(PKGFILE)
	echo 'Description: libsndifsdl' >>$(PKGFILE)
	echo 'Version: 0.7.2' >>$(PKGFILE)
ifeq ($(SOUNDSDL_PKG_REQS),)
	echo 'Requires: libfizmo >= 0.7' >>$(PKGFILE)
else
	echo 'Requires: libfizmo >= 0.7, $(SOUNDSDL_PKG_REQS)' >>$(PKGFILE)
endif
	echo 'Requires.private:' >>$(PKGFILE)
	echo 'Cflags: -I$(fizmo_build_prefix)/include/fizmo $(SOUNDSDL_NONPKG_CFLAGS)' >>$(PKGFILE)
	echo 'Libs: -L$(fizmo_build_prefix)/lib/fizmo -lsndifsdl $(SOUNDSDL_PKG_LIBS)'  >>$(PKGFILE)
	echo >>$(PKGFILE)

install-locales:


clean::
	cd src/sound_sdl ; make clean

distclean:: clean
	rm -f libsndifsdl.a
	cd src/sound_sdl; make distclean

=== fizmo-console/src/fizmo-console/Makefile ===

include ../../config.mk

ifneq ($(ENABLE_TRACING),)
override CFLAGS += -DENABLE_TRACING=
endif

ifneq ($(ENABLE_READCHAR_VIA_TERMIOS),)
override CFLAGS += -DENABLE_READCHAR_VIA_TERMIOS=
endif

override CFLAGS += $(shell PKG_CONFIG_PATH="$(PKG_CONFIG_PATH)" pkg-config \
 --cflags libfizmo)
LIBS = -lm
LIBS += $(shell PKG_CONFIG_PATH="$(PKG_CONFIG_PATH)" pkg-config --libs libfizmo)

fizmo-console: fizmo-console.o
	"$(CC)" $(LDFLAGS) fizmo-console.o -o fizmo-console $(LIBS)
	#strip fizmo

fizmo-console.o: fizmo-console.c
	"$(CC)" $(CFLAGS) -c fizmo-console.c

clean:
	rm -f *.o

distclean: clean
	rm -f fizmo-console

=== fizmo-console/src/man/Makefile ===

GROFF = groff
GS = gs -dNOPAUSE -dQUIET

all: plain-text html postscript pdf

plain-text: fizmo.txt fizmo-utf8.txt

fizmo.txt: fizmo-console.6
	"$(GROFF)" -Tascii -man fizmo-console.6 | ul -t dumb > fizmo-console.txt

fizmo-utf8.txt: fizmo-console.6
	"$(GROFF)" -Tutf8 -man fizmo-console.6 | ul -t dumb > fizmo-console-utf8.txt

html: fizmo.html

fizmo.html: fizmo-console.6
	groff -Thtml -man fizmo-console.6 > fizmo-console.html

postscript: fizmo-a4.ps fizmo-letter.ps

fizmo-a4.ps: fizmo-console.6
	groff -t -e -mandoc -Tps -dpaper=a4 -P-pa4 fizmo-console.6 > fizmo-console-a4.ps

fizmo-letter.ps: fizmo-console.6
	groff -t -e -mandoc -Tps -dpaper=letter -P-pletter fizmo-console.6 > fizmo-console-letter.ps

pdf: fizmo-a4.pdf fizmo-letter.pdf

fizmo-a4.pdf: fizmo-console.6
	groff -t -e -mandoc -Tps -dpaper=a4 -P-pa4 fizmo-console.6 | "$(GS)" -sDEVICE=pdfwrite -sOutputFile=fizmo-console-a4.pdf

fizmo-letter.pdf: fizmo-console.6
	groff -t -e -mandoc -Tps -dpaper=letter -P-pletter fizmo-console.6 | "$(GS)" -sDEVICE=pdfwrite -sOutputFile=fizmo-console-letter.pdf

clean:
	rm -f fizmo-console.txt fizmo-console-utf8.txt fizmo-console.html fizmo-console-a4.ps fizmo-console-letter.ps fizmo-console-a4.pdf fizmo-console-letter.pdf

=== fizmo-glktermw/src/fizmo-glktermw/Makefile ===

include ../../config.mk

ifneq ($(ENABLE_TRACING),)
override CFLAGS += -DENABLE_TRACING=
endif

override CFLAGS += $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) pkg-config \
 --cflags libfizmo)
override CFLAGS += $(NCURSESW_PKG_CFLAGS)
override CFLAGS += $(LIBGLKTERMW_NONPKG_CFLAGS)


LIBS = -lm
LIBS += $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) pkg-config --libs libfizmo)
LIBS += $(LIBGLKTERMW_NONPKG_LIBS)
LIBS += $(NCURSESW_NONPKG_LIBS) $(NCURSESW_PKG_LIBS)
LIBS += -lglkif -lglktermw


fizmo-glktermw: fizmo-glktermw.o
	$(CC) $(LDFLAGS) fizmo-glktermw.o -o fizmo-glktermw $(LIBS)
	#strip fizmo

fizmo-glktermw.o: fizmo-glktermw.c
	$(CC) $(CFLAGS) -c fizmo-glktermw.c

clean:
	rm -f *.o

distclean: clean
	rm -f fizmo-glktermw

=== debian/changelog ===
fizmo (0.7.2-2) unstable; urgency=low
  * Removed superfluous dependency from fizmo-common to fizmo fixing circular
    package dependency.
  * Moved transitional fizmo package from "games" into "oldlibs" section.

 -- Christoph Ender <Christoph.Ender@spellbreaker.org>  Wed, 11 Apr 2012 18:45:00 +0200

fizmo (0.7.2-1) unstable; urgency=low

  * From the user's perspective, version 0.7 adds hyphenation, saving of the
    latest screen output into savefiles, re-display of said output upon restore,
    a much improved X11-frontispiece display and improved localization. Thanks
    to Andrew Plotkin for the GLK-related code and Eric Forgeot for the french
    localization. Please see "README-0.7.txt" for more information.
  * Restructured fizmo: The interpreter core, ncursesw- and console-interface,
    the sdl-sound interface and the X11-specific code have been moved into
    separate modules named "libfizmo", "fizmo-ncursesw", "fizmo-console",
   "libsndifsdl" and "libdrilbo".
  * Implemented Frank Liangs TeX hy-phen-a-tion algorithm into the
    wordwrapper. Patterns were taken from the "hyph-utf8" project at
    http://www.ctan.org/tex-archive/language/hyph-utf8/. Re-implemented the
    word wrapper.
  * Rebuilt locales system. So far, all available locales were directly
    compiled into the binary and stored using a rather inflexible method
    which wasted some memory. Version 0.7 now stores the locales on the
    disk, reading only those languages and modules which are currently
    required. All i18n-invocations do now directly accept a module
    identifier, make the old switch functionality obsolete. Adapted all
    i18n calls to new method.
  * Rebuilt output history storage. This has been reimplemented using a
    single memory stream instead of storing text and metadata separately.
  * Implemented a cell-screen meta-interface. This translates the output
    from fizmo's screen interface into simple goto-xy and print commands,
    allowing implementation of interfaces using fixed-width fonts with a
    minimum of work. This is also used by the new "fizmo-ncursesw" interface,
    which has also been entirely rewritten.
  * libdrilbo ("drilbo represents an imaging library not only for blorb
    objects") now handles all graphical related tasks. It also makes fizmo's
    version 0.6 requirement for GTK to load images obsolete, it directly
    uses libjpg and libpng to load images and provides its own Xlib
    implementation for X11 output.
  * X11 frontispiece display is now by default in a separate window, which,
    contrary to the older implementation that simply invoked a XCopyArea
    directly into the terminal's X window, should work reliably. For
    terminals which by chance support it, the old behaviour is still
    available by using the "display-x11-inline-image" config option. The
    inline display has been changed to no longer write directly into the
    terminal window, but instead to use a subwindow instead.
  * Implemented saving of text history using a non-standard chunk type "TxHs"
    in quetzal savegames.
  * Added configuration variable "save-text-history-paragraphs" which defines
    the maximum number of paragraphs to store in a savegame.
  * Added variable interpretation -- so far, only $(HOME) is implemented --
    for config files.
  * Re-implemented the entire build process. Libraries may now be compiled
    and installed on their own, pkg-config is used whereever possible to
    ease compilation and installation.
  * Adapted Makefiles and configuration to use standard GNU Makefile variables
    instead of INSTALL_PATH and FIZMO_BIN_DIR.
  * Fixed an error in the stack restoration in "opcode_restore_undo". Thanks
    to Lewis Gentry for reporting this bug.
  * Made fizmo comply to "praxix.z5" test, merged zarf's DISABLE_PREFIX_COMMANDS
    functionality.
  * Merged zarf's GLK changes into "glk_screen_if.c". The new version 0.1.2
    fixes screen size detection, timed input and adds lowering of the input
    line.
  * Fixed missing $(DESTDIR) variable.
  * Fixed an error which would occur for empty pathnames when starting up a
    game on 32-bit platforms, thanks to Samuel Verschelde.
  * The transcription and fixed font bits will now correctly survive a
    restore, as defined in the Z-Maschine standard.

 -- Christoph Ender <Christoph.Ender@spellbreaker.org>  Tue, 03 Apr 2012 22:15:06 +0200

=== debian/control ===
Source: fizmo
Section: games
Priority: extra
Maintainer: Christoph Ender <Christoph.Ender@spellbreaker.org>
Build-Depends: debhelper (>= 9.0.0),
 pkg-config,
 libncursesw5-dev,
 libsndfile1-dev,
 libsdl-sound1.2-dev,
 libxml2-dev,
 libx11-dev,
 libjpeg-dev,
 libpng-dev
Standards-Version: 3.9.3
Homepage: http://spellbreaker.org/~chrender/fizmo

Package: fizmo
Section: oldlibs
Depends: fizmo-ncursesw | fizmo-console, ${misc:Depends}
Architecture: all
Description: Z-machine interpreter for Infocom/Inform games
 fizmo is a Z-Machine interpreter. It is used to play old Infocom text
 adventures (except version 6) and modern interactive fiction as created by
 the Inform compiler. For more information about interactive fiction -- and
 to download many storyfiles -- see http://www.ifarchive.org.
 This is a transitional package, ensuring that when fizmo is upgraded from
 old-style-packaging before version 0.7 either fizmo-ncursesw or fizmo-console
 is installed.

Package: fizmo-common
Architecture: all
Depends: ${misc:Depends}
Description: Provides localization data from all default fizmo-related
 libraries: libfizmo, libcellif, libsndifsdl, libdrilbo and libglkif. This
 package will be required by fizmo-related frontends like fizmo-ncursesw
 or fizmo-console.

Package: fizmo-ncursesw
Replaces: fizmo (<< 0.7.2-1)
Breaks: fizmo (<< 0.7.2-1)
Architecture: any
Depends: fizmo-common,
 ${shlibs:Depends},
 ${misc:Depends}
Provides: zcode-interpreter
Description: Ncurses-based Z-machine interpreter for Infocom/Inform games
 This is a ncurses-(text-)based Z-Machine interpreter. It is used to play
 old Infocom text adventures (except version 6) and modern interactive fiction
 as created by the Inform compiler. For more information about interactive
 fiction -- and to download many storyfiles -- see http://www.ifarchive.org.

Package: fizmo-console
Architecture: any
Depends: fizmo-common,
 ${shlibs:Depends},
 ${misc:Depends}
Provides: zcode-interpreter
Description: Console-based Z-machine interpreter for Infocom/Inform games
 Fizmo is used to play old Infocom text adventures (except version 6) and
 modern interactive fiction as created by the Inform compiler. The
 fizmo-console package is a very simple console variant of the interpreter.
 For more information about interactive fiction -- and to download many
 storyfiles -- see http://www.ifarchive.org.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

.PHONY: \
 configure-stamp configure \
 build-stamp build-indep build-arch build \
 clean \
 install \
 binary-indep binary-arch binary \
 fizmo fizmo-common fizmo-console fizmo-ncursesw


# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

configure-stamp:
	dh_testdir
	cp config.default.mk config.mk
	touch configure-stamp

configure: configure-stamp

build-stamp: configure-stamp
	dh_testdir
	touch build-stamp

build-stamp-fizmo-console: configure-stamp
	dh_testdir
	$(MAKE) prefix=/usr DISABLE_BABEL=1 DISABLE_FILELIST=1 \
 DISABLE_BLOCKBUFFER=1 DISABLE_COMMAND_HISTORY=1 DISABLE_OUTPUT_HISTORY=1 \
 fizmo-console
	touch build-stamp

build-stamp-fizmo-ncursesw: configure-stamp
	dh_testdir
	$(MAKE) prefix=/usr fizmo-ncursesw
	touch build-stamp

# All build target will do nothing by default, since different types of
# builds are required to build each package. Building is instead invoked
# from the "binary" targets later on.

build-indep:
build-arch:
build:

clean:

install:

binary: binary-indep binary-arch

binary-indep: fizmo-common fizmo

binary-arch: fizmo-console fizmo-ncursesw


fizmo:
	dh_testdir
	dh_testroot
	dh_auto_clean -p$@
	dh_prep -p$@
	dh_installdirs
	dh_installchangelogs -p$@ CHANGELOG.txt
	dh_installdocs -p$@
	dh_link -p$@
	dh_strip -p$@
	dh_compress -p$@
	dh_fixperms -p$@
	dh_installdeb -p$@
	dh_shlibdeps -p$@
	dh_gencontrol -p$@
	dh_md5sums -p$@
	dh_builddeb -p$@

fizmo-common: configure-stamp
	dh_testdir
	dh_testroot
	dh_auto_clean -p$@
	dh_prep -p$@
	dh_installdirs
	dh_installchangelogs -p$@ CHANGELOG.txt
	dh_installdocs -p$@
	$(MAKE) prefix=$(CURDIR)/debian/fizmo-common/usr install-locales
	dh_installexamples -p$@
	dh_installman -p$@
	dh_link -p$@
	dh_strip -p$@
	dh_compress -p$@
	dh_fixperms -p$@
	dh_installdeb -p$@
	dh_shlibdeps -p$@
	dh_gencontrol -p$@
	dh_md5sums -p$@
	dh_builddeb -p$@

fizmo-console: configure-stamp build-stamp-fizmo-console
	dh_testdir
	dh_testroot
	dh_auto_clean -p$@
	dh_prep -p$@
	dh_installdirs
	dh_installchangelogs -p$@ CHANGELOG.txt
	dh_installdocs -p$@
	$(MAKE) prefix=/usr DESTDIR=$(CURDIR)/debian/fizmo-console install-fizmo-console
	dh_installexamples -p$@
	dh_installman -p$@
	dh_link -p$@
	dh_strip -p$@
	dh_compress -p$@
	dh_fixperms -p$@
	dh_installdeb -p$@
	dh_shlibdeps -p$@
	dh_gencontrol -p$@
	dh_md5sums -p$@
	dh_builddeb -p$@

fizmo-ncursesw: configure-stamp build-stamp-fizmo-ncursesw
	dh_testdir
	dh_testroot
	dh_prep -p$@
	dh_auto_clean -p$@
	dh_installdirs
	dh_installchangelogs -p$@ CHANGELOG.txt
	dh_installdocs -p$@
	$(MAKE) prefix=/usr DESTDIR=$(CURDIR)/debian/fizmo-ncursesw install-fizmo-ncursesw
	dh_installexamples -p$@
	dh_installman -p$@
	dh_link -p$@
	dh_strip -p$@
	dh_compress -p$@
	dh_fixperms -p$@
	dh_installdeb -p$@
	dh_shlibdeps -p$@
	dh_gencontrol -p$@
	dh_md5sums -p$@
	dh_builddeb -p$@

=== debian/watch ===
# watch file for fizmo

# Compulsory line, this is a version 3 file
version=3

# Check the webserver directory.
http://spellbreaker.org/~chrender/fizmo/source/fizmo-(.*)\.tar\.gz
